<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package clearex
 */

get_header();
?>

	<div id="primary" class="content-area col-dblock clerex-page-content  archives-page <?php do_action( 'clearex_get_primary_content_width')?>">
		<main id="main" class="site-main">

		<?php if ( have_posts() ) : ?>
			<header class="search-page-header">
				<?php
				the_archive_title( '<h1 class="search-page-title">', '</h1>' );
				the_archive_description( '<div class="archive-description">', '</div>' );
				?>
			</header><!-- .page-header -->

			<?php
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				do_action( 'clarex_get_blog_layout' );

			endwhile;

			clearex_pagination();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
